### Hierarchy

- TestFunction

### Callable

- __call(fn: Func): Test
- __call(fn: AsyncFunc): Test
- __call(title: string, fn?: Func): Test
- __call(title: string, fn?: AsyncFunc): Test

- - Defined in node_modules/@types/mocha/index.d.ts:430

  Describe a specification or test-case with the given callback `fn` acting as a thunk. The name of the function is used as the name of the test.

  - Only available when invoked via the mocha CLI.

  #### Parameters

  - ##### fn: Func

  #### Returns Test

- - Defined in node_modules/@types/mocha/index.d.ts:437

  Describe a specification or test-case with the given callback `fn` acting as a thunk. The name of the function is used as the name of the test.

  - Only available when invoked via the mocha CLI.

  #### Parameters

  - ##### fn: AsyncFunc

  #### Returns Test

- - Defined in node_modules/@types/mocha/index.d.ts:445

  Describe a specification or test-case with the given `title` and callback `fn` acting as a thunk.

  - Only available when invoked via the mocha CLI.

  #### Parameters

  - ##### title: string

  - ##### Optional fn: Func

  #### Returns Test

- - Defined in node_modules/@types/mocha/index.d.ts:453

  Describe a specification or test-case with the given `title` and callback `fn` acting as a thunk.

  - Only available when invoked via the mocha CLI.

  #### Parameters

  - ##### title: string

  - ##### Optional fn: AsyncFunc

  #### Returns Test

## Index

### Properties

- only
- skip

### Methods

- retries

## Properties

### only

only: ExclusiveTestFunction

- Defined in node_modules/@types/mocha/index.d.ts:468

Indicates this test should be executed exclusively.

- Only available when invoked via the mocha CLI.

### skip

skip: PendingTestFunction

- Defined in node_modules/@types/mocha/index.d.ts:475

Indicates this test should not be executed.

- Only available when invoked via the mocha CLI.

## Methods

### retries

- retries(n: number): void

- - Defined in node_modules/@types/mocha/index.d.ts:482

  Number of attempts to retry.

  - Only available when invoked via the mocha CLI.

  #### Parameters

  - ##### n: number

  #### Returns void

Generated using TypeDoc